import logging

from django.db.models import signals
from allauth.account.signals import user_signed_up
from django.utils.translation import ugettext_lazy as _
from django.dispatch import receiver
from django.core.mail import send_mail, EmailMessage

from content import models
from tre.stats.models import Request

logger = logging.getLogger('jmb')


@receiver(signals.pre_delete, sender=models.User)
def cleanup_request_user(sender, instance, **kwargs):
    Request.objects.filter(user=instance).update(user=None)

@receiver(signals.pre_delete, sender=models.Artist)
def cleanup_request_artist(sender, instance, **kwargs):
    Request.objects.filter(artist=instance).update(artist=None)

@receiver(signals.pre_delete, sender=models.Production)
def cleanup_request_production(sender, instance, **kwargs):
    Request.objects.filter(production=instance).update(production=None)
